#ifndef CLIENTNETWORKING_H
#define CLIENTNETWORKING_H

#include "mainwindow.h"

#include <ws2tcpip.h>
#include <tlhelp32.h> // snapshot entry for processes
#include <openssl/ssl.h>
#include <openssl/err.h>
#include <QThread>
#include <QtCore>


class ClientNetworking : public QThread
{
    Q_OBJECT
public:
    explicit ClientNetworking(QObject *parent = 0, QString radomID = "", QString name = "", char* IP = 0, int PORT = 0);
    void run();
    bool running = true;
    int status = 0;
private:
    QString randomID;
    QString name;
    char* IP;
    int PORT;
    QString getMetrics(QString randomID, QString name);
signals:
    void updateStatus(QString);
};

#endif // CLIENTNETWORKING_H
