#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include "clientnetworking.h"
#include <QSettings>
#include <QInputDialog>

class ClientNetworking;


QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
    int PORT = 23000;
    QString name;
    QString randomID;
    QStringList IPandPort;
    ClientNetworking *networkingInit;

public slots:
    void statusUpdater(QString);
    void networkingRestart();
};
#endif // MAINWINDOW_H
